Package: groovy.lang

## [Java] Class NonEmptySequence

- groovy.lang.NonEmptySequence

- Represents a sequence of one or more objects of a given type. The type can be omitted in which case any type of object can be added.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NonEmptySequence ()`
    `NonEmptySequence (Class type)`
    `NonEmptySequence (Class type, List content)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `minimumSize()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Sequence` | `add, add, addAll, addAll, checkCollectionType, checkType, clear, equals, equals, getMetaClass, getProperty, hashCode, invokeMethod, minimumSize, remove, removeRange, set, set, setMetaClass, setProperty, type`
    `class ArrayList` | `add, add, remove, remove, get, clone, indexOf, clear, contains, isEmpty, iterator, lastIndexOf, replaceAll, size, subList, toArray, toArray, spliterator, addAll, addAll, forEach, set, ensureCapacity, trimToSize, listIterator, listIterator, removeAll, removeIf, retainAll, sort, equals, hashCode, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll, stream, parallelStream`

- - ### Constructor Detail

    - #### public NonEmptySequence()

    - #### public NonEmptySequence(Class type)

    - #### public NonEmptySequence(Class type, List content)

  - ### Method Detail

    - #### public int minimumSize()